Subject: Re: linux-next: build warning after merge of the drivers-x86 tree

From: Ilpo Järvinen <[email-masked]>
Date: Wed, 30 Apr 2025 14:07:38 +0300 (EEST)

On Wed, 30 Apr 2025, Antheas Kapenekakis wrote:

> On Wed, 30 Apr 2025 at 12:56, Ilpo Järvinen
> <[email-masked]> wrote:
> >
> > On Wed, 30 Apr 2025, Antheas Kapenekakis wrote:
> >
> > > On Wed, 30 Apr 2025 at 12:45, Stephen Rothwell <[email-masked]> wrote:
> > > >
> > > > Hi all,
> > > >
> > > > After merging the drivers-x86 tree, today's linux-next build (htmldocs)
> > > > produced this warning:
> > > >
> > > > Documentation/hwmon/index.rst:19: WARNING: toctree contains reference to nonexisting document 'hwmon/oxpec' [toc.not_readable]
> > > >
> > > > Introduced by commit
> > > >
> > > >   fe812896e55d ("platform/x86: oxpec: Move hwmon/oxp-sensors to platform/x86")
> > >
> > > Hm,
> > > after removing the documentation I might have left an erroneous oxcec
> > > entry in the documentation file.
> > >
> > > In some previous versions of the series the hwmon doc file was renamed
> > > but in the final one it is removed. So this file should not be introduced.
> > >
> > > Should I do a fixup commit?
> >
> > Yes please. I'll fold that into the original commit if it is easy enough
> > to do which is what I expect to be case here.
> 
> I am not at my computer with my kernel tree. I will do that later
> today if needed.
> 
> Looking at the diff:
> 
> --- a/Documentation/hwmon/index.rst
> +++ b/Documentation/hwmon/index.rst
> @@ -189,7 +189,7 @@ Hardware Monitoring Kernel Drivers
>     nzxt-kraken3
>     nzxt-smart2
>     occ
> -   oxp-sensors
> +   oxpec <-- This needs to be removed
>     pc87360
>     pc87427
>     pcf8591
> 
> If modifying the initial commit, it is probably easier for you to fix
> it now. Otherwise I will send a fixes later today (~8 hours).

It has been removed in the review-ilpo-next branch. Thanks all.

-- 
 i.